import * as Minecraft from '@minecraft/server';
import {commands,warps} from './data'


Minecraft.world.events.beforeChat.subscribe(async (eventData) => {
	const player = eventData.sender;
	if (eventData.message.includes('afk')) {
		eventData.cancel = true
		await player.runCommandAsync('tellraw @a {"rawtext":[{"selector":"@s"},{"text":" §7is now §4§lAFK"}]}')
	} else if (eventData.message=='back') {
		eventData.cancel = true
		await player.runCommandAsync('tellraw @a {"rawtext":[{"selector":"@s"},{"text":" §7is no longer §a§lAFK"}]}') 
	} else if (eventData.message.startsWith('!')) {
		eventData.cancel = true;
		if (eventData.message=='!time') {const t = (new Date().getHours())+":"+new Date().getMinutes(); await player.runCommandAsync(`tellraw @a {"rawtext":[{"text":"§6Local Time: §7§l${t}"}]}`);
 		}else if (eventData.message=='!help') await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"${commands}"}]}`);
		else if (eventData.message=='!warp') await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"${warps}"}]}`);
		else if (eventData.message=='!warp ms') await player.runCommandAsync('tp @s 36 0 -0')
		else if (eventData.message=='!warp wonderland') await player.runCommandAsync('tp @s 61 0 -82')
		else if (eventData.message=='!warp lilliput') await player.runCommandAsync('tp @s 126 0 1')
		else if (eventData.message=='!warp sw') await player.runCommandAsync('tp @s 137 0 -70')
		else if (eventData.message=='!warp cart') await player.runCommandAsync('tp @s 177 0 -167')
		else if (eventData.message=='!warp ww') await player.runCommandAsync('tp @s 115 0 -224')
		else if (eventData.message=='!warp gt') await player.runCommandAsync('tp @s 114 0 48')
		else if (eventData.message=='!warp sk') await player.runCommandAsync('tp @p 151 -1 120')
		else if (eventData.message=='!warp lw') await player.runCommandAsync("tellraw @s { \"rawtext\": [ { \"text\": \"§l§cThis warp is currently not available at the moment!\" } ] }")
		else if (eventData.message=='!social'||eventData.message=='!socials') await player.runCommandAsync("tellraw @s { \"rawtext\": [ { \"text\": \"§4Youtube: §f@Dart Studios MC\n§bTwitter: §f@Dart Studios, @DSExtra\n§1Website: §fsites.google.com/view/dart-studios\n§9Discord: §fpHfxqkJMen\"}]}")
		else if (eventData.message=='!info') {await player.runCommandAsync('execute @s ~~~ tellraw @s {"rawtext":[{"text":"§6Coins: §r"}, {"score":{"name":"@s","objective":"Coins"}},{"text":"\n§dRides: §r"}, {"score":{"name":"@s","objective":"Rides"}}]}')}
		else if (eventData.message=='!music on') {await player.runCommandAsync('scoreboard players set @s music 1'); await player.runCommandAsync('tellraw @s {"rawtext":[{"text":"§7Area Music: §aOn"}]}')}
		else if (eventData.message=='!music off') {await player.runCommandAsync('scoreboard players set @s music 0'); await player.runCommandAsync('tellraw @s {"rawtext":[{"text":"§7Area Music: §cOff"}]}');}
		else if (eventData.message=='!snow on') {await player.runCommandAsync('tag @s remove snow'); await player.runCommandAsync('tellraw @s {"rawtext":[{"text":"§7Snow: §aOn"}]}')}
		else if (eventData.message=='!snow off') {await player.runCommandAsync('tag @s add snow'); await player.runCommandAsync('tellraw @s {"rawtext":[{"text":"§7Snow: §cOff"}]}')}
		else if (eventData.message=='!show') {await player.runCommandAsync('setblock -38 -1 -128 redstone_block')}
		else if (eventData.message=='!warp stage') {await player.runCommandAsync('tp @s -44 -1 -107')}
		else if (eventData.message=='!warp village'||eventData.message=='!warp lights') await player.runCommandAsync('tp @s -45 -1.06 95')
		else {
			if (eventData.message.startsWith('!')) await player.runCommandAsync(`tellraw @s {"rawtext":[{"text":"§cUnknown Command: ${eventData.message}. Type §l!help§r§c for commands"}]}`)}
	}
})



